# Ice Sheet Emulator (ISE) for ISMIP6 Emulation of Sea Level Rise

**Peter Van Katwyk  $^{1}$, Karianne Bergen  $^{1,2}$**

$^{1}$ Department of Earth, Environmental, and Planetary Sciences, Brown University  
$^{2}$ Data Science Initiative, Brown University

This repository contains source code for processing climate forcings from [ISMIP6 Antarctice Ice Sheet (AIS) simulations](https://app.globus.org/file-manager?origin_id=ad1a6ed8-4de0-4490-93a9-8258931766c7&origin_path=%2FAIS%2F) and creating and testing ice sheet emulators. Neural network based emulators can be trained and compared to traditional gaussian process emulators along with other functions to help aid in analysis of performance. This repository currently only supports Antarctic ice sheet emulation, but in the future GrIS and others may be included as well.

Documentation can be found at here: <https://brown-sciml.github.io/ise/>.

*This repository is a work in progress that is actively being updated and improved. Feel free to contact Peter Van Katwyk, Ph.D. student @ Brown University at peter_van_katwyk@brown.edu with further questions.*
